Рейтинг темы:
  • 0 Голос(ов) - 0 в среднем
  • 1
  • 2
  • 3
  • 4
  • 5
Новая версия MyBB - 1.8.5 (инструкция как обновить)
#1
Собственно вышла версия MyBB - 1.8.2, 1.8.3, 1.8.4 (свежая 1.8.5)
я так понял в связи с безопасностью, так как нашли дырки


--------

Для тех кто не знает как обновится дублирую инструкцию с обновления:
  1. Сделал бекап на хостинге.
  2. Отключил плагины в админке (плагины не отключал, после обновления настройки в плагинах НЕ слетели)
  3. В плагине Яндекс Метрики заранее сохранил код (чтоб после обновления быстро вставить)
  4. Залил все что было в папке Upload в корень форума. С заменой файлов.
  5. Удалил из папки install - файл lock
  6. Запустил установку мойфорум.com/install/upgrade.php
  7. Выбрал там свою версию форума которая была до (1.8.4), нажал Далее.
  8. Потом далее Далее Далее и форум обновился, и сказал что файл lock создан.
  9. Проверил вроде все работает, пошел в админку обновлять тему и включать плагины проверять тему и плагины.
  10. При включении плагина Яндекс Метрики кода не было, если сохранили хорошо, если нет нужно заново идти в Метрику потом в Аналитикс брать код.
  11. Также некорректно отображались кнопки плагина (Thanks 3.9.2), отключил тему, потом сам плагин, потом опять включил, и вроде все заработало.
Ответ
#2
Сегодня вышла версия MyBB 1.8.3
опять нашли много дырок

Очень смешно...

При установке когда нажимал далее Далее Далее
в конце вместо "Поздравляем!" написало ошибку:

Цитата:Fatal error: Call to a member function run_hooks() on a non-object in мойфорум.com/inc/class_parser.php on line 116

Не знал что делать, обновил страницу, и вместо ошибки появилось слово Поздравляем!

Когда прочитал мануал по установке этой версии оказывается:

Цитата:Please note, that you do not need to run the upgrade script for this version.
There are no database schema changes in this version.

Не нужно запускать скрипт обновления, так как нет изменений в базе данных.
Ответ
#3
Благо во время латают. Надо обновиться тоже.
Ответ
#4
ну я не обновился с 1.6.10 и что будут ломать? или это проблема что не обновился? проблема больше с постоянными обновлениями, это головняк как подумать тому особо у кого уже сотня-другая людей сидит. У кого форум пуст то можно и играться тем более вижу ру форумы которые фунциклируют на 1.6 без проблем.
Ответ
#5
А кто вам тут претензии пишет про обновление до версии 1.8? Не хотите, не обновляйтесь. Дело добровольное.
Ответ
#6
видать доведется хотя не могу понять с версии 1.6.10 можно на версию 1.8.3 или нужно поначалу на 1.8.0? и ещё вопрос, плагины и все ручные доработки как то спойлер, блоги, миниблоги, про портал и т.д. слетят и форум будет чист и полностью английская версия? то есть много с нуля доведется ставить? и не пострадают ли пользователи и их настройки, настройки групп и отображение разделов? просто я очень много обвесил и не хотелось бы терять.
Ответ
#7
Вся информация по обновлению есть на официальном сайте. Перед обновлением надо отключить все плагины, насколько я помню. Не все плагины работают с версией 1.8.х, так, что придется чем-то пожертвовать. Другие можно обновить до новой версии.
Ответ
#8
я немного не в тему и хочу обновится пока на 1.6.16 но я не могу понять одного, если я закидаю весь скрипт 1.6.16 все его файлы с заменой моих на сервере, то произойдет полная замена файлов. То какое это полноценное обновление если все мои правки и изменения пропадут вместе со старыми файлами и будут перезаписаны на новые без моих изменений. Как будут работать те плагины или мои доработки где я вносил правки вручную в файлы. Тот же шаблон настройки, картинки и т.д. это обновление но оно повредит всему тому что я допиливал ручками, ведь произойдет полная перезапись файлов как я понимаю.
Ответ
#9
Вышла версия MyBB 1.8.4

Цитата:Please note, that you do need to run the upgrade script for this version

Прочитать подробнее можно тут (blog.mybb.com/2015/02/15/mybb-1-8-4-released-feature-update-security-maintenance-release/)
Ответ


Перейти к форуму:


Пользователи, просматривающие эту тему: 1 Гость(ей)